Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
Class ClosureException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  groovy.lang.ClosureException

All Implemented Interfaces:
  Serializable

    public class ClosureException

extends RuntimeException

An exception thrown by a closure invocation

Version:
  $Revision: 6817 $
Author:
  James Strachan
See Also:
  Serialized Form

Constructor Summary
`ClosureException(Closure closure, Throwable cause)`

Method Summary
`Closure` | `getClosure()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClosureException

    public ClosureException(Closure closure,
                            Throwable cause)

Method Detail

### getClosure

    public Closure getClosure()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD